function $AdfGecko17Agent$$($version$$17$$, $domWindow$$14$$) {
  this.Init($version$$17$$, $domWindow$$14$$)
}
$goog$exportSymbol$$("AdfGecko17Agent", $AdfGecko17Agent$$);
$AdfObject$$.$createSubclass$($AdfGecko17Agent$$, $AdfGecko18Agent$$);
$AdfGecko17Agent$$.prototype.Init = function $$AdfGecko17Agent$$$$Init$($version$$18$$, $domWindow$$15$$) {
  $AdfGecko17Agent$$.$superclass$.Init.call(this, $version$$18$$, $domWindow$$15$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfGecko17Agent.prototype.Init", {Init:$AdfGecko17Agent$$.prototype.Init});
$AdfGecko17Agent$$.prototype.$forceCursorChange$ = function $$AdfGecko17Agent$$$$$forceCursorChange$$($ownerDocument$$5$$) {
  $AdfAssert$$.$assertDomNode$($ownerDocument$$5$$);
  var $fakeMouseMove$$ = $AdfGeckoAgent$$.$_FAKE_MOUSEMOVE_EVENT$;
  $fakeMouseMove$$ || ($fakeMouseMove$$ = $ownerDocument$$5$$.createEvent("MouseEvents"), $AdfGeckoAgent$$.$_FAKE_MOUSEMOVE_EVENT$ = $fakeMouseMove$$);
  var $box$$ = $ownerDocument$$5$$.getBoxObjectFor($ownerDocument$$5$$.documentElement), $bodyElement$$1$$ = $ownerDocument$$5$$.body;
  $fakeMouseMove$$.initMouseEvent("mousemove", 1, 1, $ownerDocument$$5$$.contentWindow, 0, 10 + $box$$.screenX, 10 + $box$$.screenY, 10, 10, 0, 0, 0, 0, 0, $bodyElement$$1$$);
  $bodyElement$$1$$.dispatchEvent($fakeMouseMove$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfGecko17Agent.prototype.forceCursorChange", {$forceCursorChange$:$AdfGecko17Agent$$.prototype.$forceCursorChange$});
$AdfGecko17Agent$$.prototype.getCursor = function $$AdfGecko17Agent$$$$getCursor$($cursorName$$2$$) {
  return $AdfAgent$$.$getCSS2Cursor$($cursorName$$2$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfGecko17Agent.prototype.getCursor", {getCursor:$AdfGecko17Agent$$.prototype.getCursor});
